> For the complete documentation index, see [llms.txt](https://docs.wheelx.fi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wheelx.fi/api/api-reference.md).

# API Reference

## GET /v1/chain-info

> Chain Info

```json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"0.1.0"},"tags":[{"name":"API Reference"}],"servers":[{"url":"https://api.wheelx.fi","description":"Production"}],"paths":{"/v1/chain-info":{"get":{"summary":"Chain Info","operationId":"chain_info_v1_chain_info_get","parameters":[{"name":"network","in":"query","required":false,"schema":{"$ref":"#/components/schemas/Network","default":"mainnet"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChainInfoResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"tags":["API Reference"]}}},"components":{"schemas":{"Network":{"type":"string","enum":["mainnet","testnet"],"title":"Network"},"ChainInfoResponse":{"properties":{"chains":{"items":{"$ref":"#/components/schemas/ChainInfo"},"type":"array","title":"Chains"},"tokens":{"items":{"$ref":"#/components/schemas/TokenInfo"},"type":"array","title":"Tokens"},"deposit_platforms":{"additionalProperties":{"$ref":"#/components/schemas/DepositPlatform"},"type":"object","title":"Deposit Platforms"},"slippage_policies":{"items":{"$ref":"#/components/schemas/SlippagePolicy"},"type":"array","title":"Slippage Policies"}},"type":"object","required":["chains","tokens","slippage_policies"],"title":"ChainInfoResponse"},"ChainInfo":{"properties":{"server_name":{"type":"string","title":"Server Name"},"name":{"type":"string","title":"Name"},"chain_id":{"type":"integer","title":"Chain Id"},"rpc_url":{"type":"string","title":"Rpc Url","default":""},"rpc_fallback":{"items":{"type":"string"},"type":"array","title":"Rpc Fallback"},"chain_icon":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Chain Icon"},"is_testnet":{"type":"boolean","title":"Is Testnet","default":false},"is_popular":{"type":"boolean","title":"Is Popular","default":false},"eth_token":{"type":"string","title":"Eth Token","default":"0x0000000000000000000000000000000000000000"},"usdc_token":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Usdc Token"},"usdt_token":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Usdt Token"},"support_kline":{"type":"boolean","title":"Support Kline","default":false},"rpc_endpoints":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Rpc Endpoints"},"is_evm":{"type":"boolean","title":"Is Evm","default":true},"inbound":{"type":"boolean","title":"Inbound","default":true},"outbound":{"type":"boolean","title":"Outbound","default":true},"support_sponsor_gas":{"type":"boolean","title":"Support Sponsor Gas","default":false}},"type":"object","required":["server_name","name","chain_id"],"title":"ChainInfo"},"TokenInfo":{"properties":{"symbol":{"type":"string","title":"Symbol"},"name":{"type":"string","title":"Name"},"decimals":{"type":"integer","title":"Decimals"},"address":{"type":"string","title":"Address"},"chain_id":{"type":"integer","title":"Chain Id"},"logo":{"type":"string","title":"Logo"},"tags":{"items":{"type":"string"},"type":"array","title":"Tags"},"categories":{"items":{"type":"string"},"type":"array","title":"Categories"},"listed":{"type":"boolean","title":"Listed","default":true},"fee_level":{"anyOf":[{"$ref":"#/components/schemas/FeeLevel"},{"type":"null"}]}},"type":"object","required":["symbol","name","decimals","address","chain_id","logo"],"title":"TokenInfo"},"FeeLevel":{"type":"string","enum":["Group1","Group2"],"title":"FeeLevel"},"DepositPlatform":{"properties":{"chains":{"items":{"$ref":"#/components/schemas/DepositPlatformChain"},"type":"array","title":"Chains"},"tokens":{"items":{"$ref":"#/components/schemas/DepositPlatformToken"},"type":"array","title":"Tokens"}},"type":"object","title":"DepositPlatform"},"DepositPlatformChain":{"properties":{"server_name":{"type":"string","title":"Server Name"},"name":{"type":"string","title":"Name"},"chain_id":{"type":"integer","title":"Chain Id"},"rpc_url":{"type":"string","title":"Rpc Url","default":""},"rpc_fallback":{"items":{"type":"string"},"type":"array","title":"Rpc Fallback"},"chain_icon":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Chain Icon"},"is_testnet":{"type":"boolean","title":"Is Testnet","default":false},"is_popular":{"type":"boolean","title":"Is Popular","default":false},"eth_token":{"type":"string","title":"Eth Token","default":"0x0000000000000000000000000000000000000000"},"usdc_token":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Usdc Token"},"usdt_token":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Usdt Token"},"support_kline":{"type":"boolean","title":"Support Kline","default":false},"rpc_endpoints":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Rpc Endpoints"},"is_evm":{"type":"boolean","title":"Is Evm","default":true},"inbound":{"type":"boolean","title":"Inbound","default":true},"outbound":{"type":"boolean","title":"Outbound","default":true},"support_sponsor_gas":{"type":"boolean","title":"Support Sponsor Gas","default":false},"platform_id":{"type":"integer","title":"Platform Id"},"platform_type":{"items":{"type":"string"},"type":"array","title":"Platform Type"}},"type":"object","required":["server_name","name","chain_id","platform_id"],"title":"DepositPlatformChain"},"DepositPlatformToken":{"properties":{"symbol":{"type":"string","title":"Symbol"},"name":{"type":"string","title":"Name"},"decimals":{"type":"integer","title":"Decimals"},"address":{"type":"string","title":"Address"},"chain_id":{"type":"integer","title":"Chain Id"},"logo":{"type":"string","title":"Logo"},"tags":{"items":{"type":"string"},"type":"array","title":"Tags"},"categories":{"items":{"type":"string"},"type":"array","title":"Categories"},"listed":{"type":"boolean","title":"Listed","default":true},"fee_level":{"anyOf":[{"$ref":"#/components/schemas/FeeLevel"},{"type":"null"}]},"chain_icon":{"type":"string","title":"Chain Icon"},"platform_type":{"items":{"type":"string"},"type":"array","title":"Platform Type"},"platform_id":{"type":"integer","title":"Platform Id"}},"type":"object","required":["symbol","name","decimals","address","chain_id","logo","chain_icon","platform_id"],"title":"DepositPlatformToken"},"SlippagePolicy":{"properties":{"bridge":{"type":"boolean","title":"Bridge"},"from_fee_level":{"anyOf":[{"$ref":"#/components/schemas/FeeLevel"},{"type":"null"}]},"to_fee_level":{"anyOf":[{"$ref":"#/components/schemas/FeeLevel"},{"type":"null"}]},"default_slippage":{"type":"integer","title":"Default Slippage"},"min_slippage":{"type":"integer","title":"Min Slippage"},"max_slippage":{"type":"integer","title":"Max Slippage"},"refresh_interval":{"type":"integer","title":"Refresh Interval"},"notice_rounds":{"type":"integer","title":"Notice Rounds"}},"type":"object","required":["bridge","from_fee_level","to_fee_level","default_slippage","min_slippage","max_slippage","refresh_interval","notice_rounds"],"title":"SlippagePolicy"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## GET /v1/order/{request\_id}

> Get Order

```json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"0.1.0"},"tags":[{"name":"API Reference"}],"servers":[{"url":"https://api.wheelx.fi","description":"Production"}],"paths":{"/v1/order/{request_id}":{"get":{"summary":"Get Order","operationId":"get_order_v1_order__request_id__get","parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","title":"Request Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"tags":["API Reference"]}}},"components":{"schemas":{"OrderResponse":{"properties":{"order_id":{"type":"string","title":"Order Id"},"from_chain":{"type":"integer","title":"From Chain"},"from_token":{"type":"string","title":"From Token"},"from_token_info":{"anyOf":[{"$ref":"#/components/schemas/TokenInfo"},{"type":"null"}]},"from_address":{"type":"string","title":"From Address"},"from_amount":{"type":"string","title":"From Amount"},"to_chain":{"type":"integer","title":"To Chain"},"to_token":{"type":"string","title":"To Token"},"to_token_info":{"anyOf":[{"$ref":"#/components/schemas/TokenInfo"},{"type":"null"}]},"to_amount":{"type":"string","title":"To Amount"},"to_address":{"type":"string","title":"To Address"},"open_tx_hash":{"type":"string","title":"Open Tx Hash"},"open_block":{"type":"integer","title":"Open Block"},"open_timestamp":{"type":"string","format":"date-time","title":"Open Timestamp"},"fill_tx_hash":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Fill Tx Hash"},"fill_block":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Fill Block"},"fill_timestamp":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Fill Timestamp"},"status":{"$ref":"#/components/schemas/OrderStatus"},"points":{"type":"string","title":"Points"},"reward_type":{"anyOf":[{"$ref":"#/components/schemas/RewardType"},{"type":"null"}]},"reward_value":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Reward Value"},"routes":{"items":{"type":"string"},"type":"array","title":"Routes"},"to_platform_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"To Platform Id"},"order_value":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Order Value"},"bridge_order_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Bridge Order Id"},"deposit_address":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Deposit Address"}},"type":"object","required":["order_id","from_chain","from_token","from_address","from_amount","to_chain","to_token","to_amount","to_address","open_tx_hash","open_block","open_timestamp","status","points"],"title":"OrderResponse"},"TokenInfo":{"properties":{"symbol":{"type":"string","title":"Symbol"},"name":{"type":"string","title":"Name"},"decimals":{"type":"integer","title":"Decimals"},"address":{"type":"string","title":"Address"},"chain_id":{"type":"integer","title":"Chain Id"},"logo":{"type":"string","title":"Logo"},"tags":{"items":{"type":"string"},"type":"array","title":"Tags"},"categories":{"items":{"type":"string"},"type":"array","title":"Categories"},"listed":{"type":"boolean","title":"Listed","default":true},"fee_level":{"anyOf":[{"$ref":"#/components/schemas/FeeLevel"},{"type":"null"}]}},"type":"object","required":["symbol","name","decimals","address","chain_id","logo"],"title":"TokenInfo"},"FeeLevel":{"type":"string","enum":["Group1","Group2"],"title":"FeeLevel"},"OrderStatus":{"type":"string","enum":["Open","Filled","Failed","Refund"],"title":"OrderStatus"},"RewardType":{"type":"string","enum":["xp","usdt"],"title":"RewardType"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Get Orders

> Query cross-chain orders — acts as a transaction explorer.\
> Supports filtering by address, chain, token, status, bridge, tx hash, and time range.\
> \
> Table structure: Quote LEFT JOIN Transaction LEFT JOIN ExternalTransaction\
> \- Transaction/ExternalTransaction hold destination-chain fill info\
> \- fill\_tx\_hash = COALESCE(Transaction.tx\_hash, ExternalTransaction.tx\_hash)\
> \- Status: same-chain = filled; cross-chain depends on Transaction/ExternalTransaction state\
> \
> When an address filter is provided, relay deposit history from the Relay API is\
> also fetched and merged with local DB results (deduplicated by bridge\_order\_id).\
> \
> When \`use\_deposit\_address=True\`, only orders that went through a deposit address\
> flow (Quote.deposit is not null) are returned. The \`address\` parameter still\
> filters by sender.

```json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"0.1.0"},"tags":[{"name":"API Reference"}],"servers":[{"url":"https://api.wheelx.fi","description":"Production"}],"paths":{"/v1/orders":{"get":{"summary":"Get Orders","description":"Query cross-chain orders — acts as a transaction explorer.\nSupports filtering by address, chain, token, status, bridge, tx hash, and time range.\n\nTable structure: Quote LEFT JOIN Transaction LEFT JOIN ExternalTransaction\n- Transaction/ExternalTransaction hold destination-chain fill info\n- fill_tx_hash = COALESCE(Transaction.tx_hash, ExternalTransaction.tx_hash)\n- Status: same-chain = filled; cross-chain depends on Transaction/ExternalTransaction state\n\nWhen an address filter is provided, relay deposit history from the Relay API is\nalso fetched and merged with local DB results (deduplicated by bridge_order_id).\n\nWhen `use_deposit_address=True`, only orders that went through a deposit address\nflow (Quote.deposit is not null) are returned. The `address` parameter still\nfilters by sender.","operationId":"get_orders_v1_orders_get","parameters":[{"name":"address","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"default":[],"title":"Address"}},{"name":"network","in":"query","required":false,"schema":{"$ref":"#/components/schemas/Network","default":"mainnet"}},{"name":"from_chain","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"From Chain"}},{"name":"to_chain","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"To Chain"}},{"name":"from_token","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"From Token"}},{"name":"to_token","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"To Token"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Status"}},{"name":"bridge","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Bridge"}},{"name":"deposit_tx_hash","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Deposit Tx Hash"}},{"name":"fill_tx_hash","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Fill Tx Hash"}},{"name":"start_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Start Date"}},{"name":"end_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"End Date"}},{"name":"use_deposit_address","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Use Deposit Address"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":20,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset"}},{"name":"sort_by","in":"query","required":false,"schema":{"type":"string","default":"request_id","title":"Sort By"}},{"name":"sort_order","in":"query","required":false,"schema":{"type":"string","default":"desc","title":"Sort Order"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrdersByAddressResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"tags":["API Reference"]}}},"components":{"schemas":{"Network":{"type":"string","enum":["mainnet","testnet"],"title":"Network"},"OrdersByAddressResponse":{"properties":{"orders":{"items":{"$ref":"#/components/schemas/OrderResponse"},"type":"array","title":"Orders"},"total":{"type":"integer","title":"Total"}},"type":"object","required":["orders","total"],"title":"OrdersByAddressResponse"},"OrderResponse":{"properties":{"order_id":{"type":"string","title":"Order Id"},"from_chain":{"type":"integer","title":"From Chain"},"from_token":{"type":"string","title":"From Token"},"from_token_info":{"anyOf":[{"$ref":"#/components/schemas/TokenInfo"},{"type":"null"}]},"from_address":{"type":"string","title":"From Address"},"from_amount":{"type":"string","title":"From Amount"},"to_chain":{"type":"integer","title":"To Chain"},"to_token":{"type":"string","title":"To Token"},"to_token_info":{"anyOf":[{"$ref":"#/components/schemas/TokenInfo"},{"type":"null"}]},"to_amount":{"type":"string","title":"To Amount"},"to_address":{"type":"string","title":"To Address"},"open_tx_hash":{"type":"string","title":"Open Tx Hash"},"open_block":{"type":"integer","title":"Open Block"},"open_timestamp":{"type":"string","format":"date-time","title":"Open Timestamp"},"fill_tx_hash":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Fill Tx Hash"},"fill_block":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Fill Block"},"fill_timestamp":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Fill Timestamp"},"status":{"$ref":"#/components/schemas/OrderStatus"},"points":{"type":"string","title":"Points"},"reward_type":{"anyOf":[{"$ref":"#/components/schemas/RewardType"},{"type":"null"}]},"reward_value":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Reward Value"},"routes":{"items":{"type":"string"},"type":"array","title":"Routes"},"to_platform_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"To Platform Id"},"order_value":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Order Value"},"bridge_order_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Bridge Order Id"},"deposit_address":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Deposit Address"}},"type":"object","required":["order_id","from_chain","from_token","from_address","from_amount","to_chain","to_token","to_amount","to_address","open_tx_hash","open_block","open_timestamp","status","points"],"title":"OrderResponse"},"TokenInfo":{"properties":{"symbol":{"type":"string","title":"Symbol"},"name":{"type":"string","title":"Name"},"decimals":{"type":"integer","title":"Decimals"},"address":{"type":"string","title":"Address"},"chain_id":{"type":"integer","title":"Chain Id"},"logo":{"type":"string","title":"Logo"},"tags":{"items":{"type":"string"},"type":"array","title":"Tags"},"categories":{"items":{"type":"string"},"type":"array","title":"Categories"},"listed":{"type":"boolean","title":"Listed","default":true},"fee_level":{"anyOf":[{"$ref":"#/components/schemas/FeeLevel"},{"type":"null"}]}},"type":"object","required":["symbol","name","decimals","address","chain_id","logo"],"title":"TokenInfo"},"FeeLevel":{"type":"string","enum":["Group1","Group2"],"title":"FeeLevel"},"OrderStatus":{"type":"string","enum":["Open","Filled","Failed","Refund"],"title":"OrderStatus"},"RewardType":{"type":"string","enum":["xp","usdt"],"title":"RewardType"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## POST /v1/quote

> Quote

```json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"0.1.0"},"tags":[{"name":"API Reference"}],"servers":[{"url":"https://api.wheelx.fi","description":"Production"}],"paths":{"/v1/quote":{"post":{"summary":"Quote","operationId":"quote_v1_quote_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuoteRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuoteResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"tags":["API Reference"]}}},"components":{"schemas":{"QuoteRequest":{"properties":{"from_chain":{"type":"integer","title":"From Chain"},"to_chain":{"type":"integer","title":"To Chain"},"from_token":{"type":"string","title":"From Token"},"to_token":{"type":"string","title":"To Token"},"from_address":{"type":"string","title":"From Address"},"to_address":{"type":"string","title":"To Address"},"amount":{"type":"integer","title":"Amount"},"slippage":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Slippage"},"affiliation":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Affiliation"},"external_bridge":{"type":"boolean","title":"External Bridge","default":false},"to_platform_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"To Platform Id"},"select_route":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Select Route"},"sponsor_gas":{"type":"boolean","title":"Sponsor Gas","default":false},"use_deposit_address":{"type":"boolean","title":"Use Deposit Address","default":false}},"type":"object","required":["from_chain","to_chain","from_token","to_token","from_address","to_address","amount"],"title":"QuoteRequest"},"QuoteResponse":{"properties":{"request_id":{"type":"string","title":"Request Id"},"amount_out":{"type":"string","title":"Amount Out"},"fee":{"type":"string","title":"Fee"},"tx":{"anyOf":[{"$ref":"#/components/schemas/Tx"},{"$ref":"#/components/schemas/SolanaTx"},{"type":"null"}],"title":"Tx"},"approve":{"anyOf":[{"$ref":"#/components/schemas/ApproveAction"},{"type":"null"}]},"slippage":{"type":"integer","title":"Slippage"},"min_receive":{"type":"string","title":"Min Receive"},"estimated_time":{"type":"number","title":"Estimated Time","default":10},"recipient":{"type":"string","title":"Recipient"},"router_type":{"$ref":"#/components/schemas/RouterType","default":"swap"},"price_impact":{"$ref":"#/components/schemas/PriceImpactFormatted"},"router":{"type":"string","title":"Router","default":"wheelx"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"points":{"type":"string","title":"Points"},"quote_message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Quote Message"},"routes":{"items":{"$ref":"#/components/schemas/RouteInfo"},"type":"array","title":"Routes"},"deposit_address":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Deposit Address"},"gas_fee":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Gas Fee"},"bridge_order_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Bridge Order Id"},"quotes":{"anyOf":[{"items":{"$ref":"#/components/schemas/QuoteItem"},"type":"array"},{"type":"null"}],"title":"Quotes"}},"type":"object","required":["request_id","amount_out","fee","slippage","min_receive","recipient","price_impact","created_at","points"],"title":"QuoteResponse"},"Tx":{"properties":{"to":{"type":"string","title":"To"},"value":{"type":"string","title":"Value"},"data":{"type":"string","title":"Data"},"chainId":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Chainid"},"gas":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Gas"},"maxFeePerGas":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Maxfeepergas"},"maxPriorityFeePerGas":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Maxpriorityfeepergas"}},"type":"object","required":["to","value","data"],"title":"Tx"},"SolanaTx":{"properties":{"tx":{"type":"string","title":"Tx"},"sender":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Sender"},"gas":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Gas"}},"type":"object","required":["tx"],"title":"SolanaTx"},"ApproveAction":{"properties":{"token":{"type":"string","title":"Token"},"spender":{"type":"string","title":"Spender"},"amount":{"type":"integer","title":"Amount"}},"type":"object","required":["token","spender","amount"],"title":"ApproveAction"},"RouterType":{"type":"string","enum":["swap","bridge","wrap","unwrap"],"title":"RouterType"},"PriceImpactFormatted":{"additionalProperties":{"type":"string"},"type":"object"},"RouteInfo":{"properties":{"name":{"type":"string","title":"Name"},"logo":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Logo"}},"type":"object","required":["name"],"title":"RouteInfo"},"QuoteItem":{"properties":{"request_id":{"type":"string","title":"Request Id"},"router":{"type":"string","title":"Router"},"amount_out":{"type":"string","title":"Amount Out"},"tx":{"anyOf":[{"$ref":"#/components/schemas/Tx"},{"$ref":"#/components/schemas/SolanaTx"},{"type":"null"}],"title":"Tx"},"routes":{"items":{"$ref":"#/components/schemas/RouteInfo"},"type":"array","title":"Routes"},"gas_fee":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Gas Fee"}},"type":"object","required":["request_id","router","amount_out"],"title":"QuoteItem"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wheelx.fi/api/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
